- Qt 6.4
- Qt SCXML
- QML Types
- EventConnection
- Qt 6.4.3 Reference Documentation

# EventConnection QML Type

Connects to events sent out by state machines. More...

Import Statement: | import QtScxml 6.4
Since: | QtScxml 5.8

- List of all members, including inherited members

## Properties

- events : stringlist
- stateMachine : ScxmlStateMachine

## Signals

- occurred(event)

## Detailed Description

To receive a notification when a state machine sends out an event, a connection can be created to the corresponding signal.

## Property Documentation

events : stringlist

The list of SCXML event specifiers that describe the events to listen for.

Even though spaces are allowed in event specifications in SCXML documents, they are not allowed in this list. However, the list can contain multiple specifiers, to the same effect.

stateMachine : ScxmlStateMachine

The state machine that sends out the event.

## Signal Documentation

occurred(event)

This signal is emitted when the event event occurrs.

The corresponding signal handler is `onOccurred`.

Note: The corresponding handler is `onOccurred`.

See also QScxmlEvent.